Get current user info

GET/auth/v1/userinfo

Returns the profile information of the authenticated user.

Authorization<token>

In: header

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.UserInfo",
  "$ref-value": {
    "properties": {
      "active_org_id": {
        "type": "string"
      },
      "country_code": {
        "type": "string"
      },
      "email": {
        "type": "string"
      },
      "email_verified": {
        "type": "boolean"
      },
      "first_name": {
        "type": "string"
      },
      "id": {
        "type": "string"
      },
      "image_url": {
        "type": "string"
      },
      "language_code": {
        "type": "string"
      },
      "last_name": {
        "type": "string"
      },
      "username": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/auth/v1/userinfo"

OK

application/json

{
  "$ref": "#/components/schemas/authv1.UserInfo",
  "$ref-value": {
    "properties": {
      "active_org_id": {
        "type": "string"
      },
      "country_code": {
        "type": "string"
      },
      "email": {
        "type": "string"
      },
      "email_verified": {
        "type": "boolean"
      },
      "first_name": {
        "type": "string"
      },
      "id": {
        "type": "string"
      },
      "image_url": {
        "type": "string"
      },
      "language_code": {
        "type": "string"
      },
      "last_name": {
        "type": "string"
      },
      "username": {
        "type": "string"
      }
    },
    "type": "object"
  }
}